## tkrzw-python 0.1.28

=== Makefile ===
# Makefile for Tkrzw for Python

PACKAGE = tkrzw-python
VERSION = 0.1.28
PACKAGEDIR = $(PACKAGE)-$(VERSION)
PACKAGETGZ = $(PACKAGE)-$(VERSION).tar.gz

PYTHON = python3
RUNENV = LD_LIBRARY_PATH=.:/lib:/usr/lib:/usr/local/lib:$(HOME)/lib

all :
	$(PYTHON) setup.py build
	cp -f build/*/*.so .
	@printf '\n'
	@printf '#================================================================\n'
	@printf '# Ready to install.\n'
	@printf '#================================================================\n'

clean :
	rm -rf casket casket* *~ *.tmp *.tkh *.tkt *.tks *.flat *.log *.so *.pyc build \
	  hoge moge tako ika uni

install :
	$(PYTHON) setup.py install
	-chown -R `stat -c "%U:%G" Makefile` dist *.egg-info
	@printf '\n'
	@printf '#================================================================\n'
	@printf '# Thanks for using Tkrzw for Python.\n'
	@printf '#================================================================\n'

uninstall :
	$(PYTHON) setup.py install --record files.tmp
	xargs rm -f < files.tmp

dist :
	$(MAKE) distclean
	rm -Rf "../$(PACKAGEDIR)" "../$(PACKAGETGZ)"
	cd .. && cp -R tkrzw-python $(PACKAGEDIR) && \
	  tar --exclude=".*" -cvf - $(PACKAGEDIR) | gzip -c > $(PACKAGETGZ)
	rm -Rf "../$(PACKAGEDIR)"
	sync ; sync

distclean : clean apidocclean
	rm -rf dist *.egg-info

check :
	$(RUNENV) $(PYTHON) test.py 
	$(RUNENV) $(PYTHON) perf.py --path casket.tkh --params "num_buckets=100000" \
	  --iter 20000 --threads 5
	$(RUNENV) $(PYTHON) perf.py --path casket.tkh --params "concurrent=true,num_buckets=100000" \
	  --iter 20000 --threads 5 --random
	$(RUNENV) $(PYTHON) perf.py --path casket.tkt --params "key_comparator=decimal" \
	  --iter 20000 --threads 5
	$(RUNENV) $(PYTHON) perf.py --path casket.tkt --params "concurrent=true,key_comparator=decimal" \
	  --iter 20000 --threads 5 --random
	$(RUNENV) $(PYTHON) perf.py --path casket.tks --params "step_unit=3" \
	  --iter 20000 --threads 5
	$(RUNENV) $(PYTHON) perf.py --path casket.tks --params "concurrent=true,step_unit=3" \
	  --iter 20000 --threads 5 --random
	$(RUNENV) $(PYTHON) perf.py --params "dbm=tiny,num_buckets=100000" \
	  --iter 20000 --threads 5 --random
	$(RUNENV) $(PYTHON) perf.py --params "dbm=baby,key_comparator=decimal" \
	  --iter 20000 --threads 5 --random
	$(RUNENV) $(PYTHON) perf.py --params "dbm=stdhash,num_buckets=100000" \
	  --iter 20000 --threads 5 --async_threads 2 --random
	$(RUNENV) $(PYTHON) perf.py --params "dbm=stdtree" \
	  --iter 20000 --threads 5 --async_threads 2 --random
	$(RUNENV) $(PYTHON) wicked.py --path casket.tkh --params "num_buckets=100000" \
	  --iter 20000 --threads 5
	$(RUNENV) $(PYTHON) wicked.py --path casket.tkt --params "key_comparator=decimal" \
	  --iter 20000 --threads 5
	$(RUNENV) $(PYTHON) wicked.py --path casket.tks --params "step_unit=3" \
	  --iter 20000 --threads 5
	$(RUNENV) $(PYTHON) wicked.py --params "dbm=tiny,num_buckets=100000" \
	  --iter 20000 --threads 5
	$(RUNENV) $(PYTHON) wicked.py --params "dbm=baby,key_comparator=decimal" \
	  --iter 20000 --threads 5
	@printf '\n'
	@printf '#================================================================\n'
	@printf '# Checking completed.\n'
	@printf '#================================================================\n'

apidoc :
	$(MAKE) apidocclean
	mkdir -p tmp-doc
	cp tkrzw-doc.py tmp-doc/tkrzw.py
	cd tmp-doc ; sphinx-apidoc -F -H Tkrzw -A "Mikio Hirabayashi" -o out .
	cat tmp-doc/out/conf.py |\
	  sed -e 's/^# import /import /' -e 's/^# sys.path/sys.path/' \
	    -e 's/alabaster/haiku/' \
      -e '/sphinx\.ext\.viewcode/d' \
      -e '/^extensions = /a "sphinx.ext.autosummary",' > tmp-doc/out/conf.py.tmp
	echo >> tmp-doc/out/conf.py.tmp
	echo "autodoc_member_order = 'bysource'" >> tmp-doc/out/conf.py.tmp
	echo "html_title = 'Python binding of Tkrzw'" >> tmp-doc/out/conf.py.tmp
	echo "autodoc_default_options = {'members': True, 'special-members': True, 'exclude-members': '__dict__,__module__,__weakref__'}"  >> tmp-doc/out/conf.py.tmp
	mv -f tmp-doc/out/conf.py.tmp tmp-doc/out/conf.py
	cp -f index.rst tmp-doc/out/index.rst
	cd tmp-doc/out ; $(MAKE) html
	mv tmp-doc/out/_build/html api-doc

apidocclean :
	rm -rf api-doc tmp-doc

.PHONY: all clean install uninstall dist distclean check apidoc apidocclean

# END OF FILE

=== debian/changelog ===
tkrzw-python (0.1.28-4) unstable; urgency=medium

  * Rebuild to drop python3.9 support.
  * d/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Jul 2022 20:00:26 -0400

tkrzw-python (0.1.28-3) unstable; urgency=high

  * Correctly set build-dependencies to build extension for all
    supported python3 versions again. (Closes: #1004663)

 -- Boyuan Yang <byang@debian.org>  Mon, 31 Jan 2022 14:23:24 -0500

tkrzw-python (0.1.28-2) unstable; urgency=high

  * debian/control:
    + Build-depends on libpython3-dev instead of libpython3-all-dev.
      (Closes: #1001934).

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Dec 2021 23:15:20 -0500

tkrzw-python (0.1.28-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Dec 2021 14:29:54 -0500

tkrzw-python (0.1.27-1) unstable; urgency=medium

  * Initial release. (Closes: #999432)

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Nov 2021 16:44:55 -0500

=== debian/control ===
Source: tkrzw-python
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 liblz4-dev,
 liblzma-dev,
 libtkrzw-dev,
 libzstd-dev,
 python3-all,
 python3-all-dev,
 python3-setuptools,
 tkrzw-utils,
Standards-Version: 4.6.1
Homepage: https://dbmx.net/tkrzw/
Vcs-Browser: https://salsa.debian.org/python-team/packages/tkrzw-python
Vcs-Git: https://salsa.debian.org/python-team/packages/tkrzw-python.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-tkrzw
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: set of implementations of DBM - python binding
 Tkrzw is a C++ library implementing DBM (Database Manager) with
 various algorithms. It features high degrees of performance,
 concurrency, scalability and durability.
 .
 This package contains the Python 3 binding of the library.

## tkrzw-python 0.1.29

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for Tkrzw for Python
 
 PACKAGE = tkrzw-python
-VERSION = 0.1.28
+VERSION = 0.1.29
 PACKAGEDIR = $(PACKAGE)-$(VERSION)
 PACKAGETGZ = $(PACKAGE)-$(VERSION).tar.gz

=== debian/changelog ===
tkrzw-python (0.1.29-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Feb 2023 19:18:13 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-all-dev,
  python3-setuptools,
  tkrzw-utils,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://dbmx.net/tkrzw/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tkrzw-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/tkrzw-python.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

#export PYBUILD_NAME=tkrzw

%:
	dh $@ --buildsystem=pybuild

## tkrzw-python 0.1.30

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # Makefile for Tkrzw for Python
 
 PACKAGE = tkrzw-python
-VERSION = 0.1.29
+VERSION = 0.1.30
 PACKAGEDIR = $(PACKAGE)-$(VERSION)
 PACKAGETGZ = $(PACKAGE)-$(VERSION).tar.gz
 
 PYTHON = python3
-RUNENV = LD_LIBRARY_PATH=.:/lib:/usr/lib:/usr/local/lib:$(HOME)/lib
+RUNENV = LD_LIBRARY_PATH=.:/lib:/usr/lib:/usr/local/lib:$(HOME)/local/lib:$(HOME)/lib:$(LD_LIBRARY_PATH)
 
 all :
 	$(PYTHON) setup.py build

=== debian/changelog ===
tkrzw-python (0.1.30-1build2) noble; urgency=high

  * No change rebuild against libtkrzw1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:02:27 +0200

tkrzw-python (0.1.30-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 18:02:02 +0000

tkrzw-python (0.1.30-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 17:30:50 -0400

tkrzw-python (0.1.30-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Mar 2023 14:48:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tkrzw-python
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -9,7 +10,7 @@
  dh-sequence-python3,
  liblz4-dev,
  liblzma-dev,
- libtkrzw-dev,
+ libtkrzw-dev (>= 1.0.27),
  libzstd-dev,
  python3-all,
  python3-all-dev,

## tkrzw-python 0.1.31

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for Tkrzw for Python
 
 PACKAGE = tkrzw-python
-VERSION = 0.1.30
+VERSION = 0.1.31
 PACKAGEDIR = $(PACKAGE)-$(VERSION)
 PACKAGETGZ = $(PACKAGE)-$(VERSION).tar.gz

=== debian/changelog ===
tkrzw-python (0.1.31-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 May 2024 10:58:30 -0400

tkrzw-python (0.1.30-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1067519)

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Mar 2024 17:02:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: tkrzw-python
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  liblz4-dev,
  liblzma-dev,
- libtkrzw-dev (>= 1.0.27),
+ libtkrzw-dev (>= 1.0.29),
  libzstd-dev,
  python3-all,
  python3-all-dev,
  python3-setuptools,
  tkrzw-utils,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://dbmx.net/tkrzw/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tkrzw-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/tkrzw-python.git

## tkrzw-python 0.1.32

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for Tkrzw for Python
 
 PACKAGE = tkrzw-python
-VERSION = 0.1.31
+VERSION = 0.1.32
 PACKAGEDIR = $(PACKAGE)-$(VERSION)
 PACKAGETGZ = $(PACKAGE)-$(VERSION).tar.gz

=== debian/changelog ===
tkrzw-python (0.1.32-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:24:15 +0000

tkrzw-python (0.1.32-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:14:53 +0000

tkrzw-python (0.1.32-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:56:53 +0100

tkrzw-python (0.1.32-1) unstable; urgency=medium

  * QA upload.
  * debian/control: Require tkrzw 0.1.30+.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jun 2024 18:08:52 -0400

=== debian/watch ===
version=4
opts="" \
 https://dbmx.net/tkrzw/pkg-python/ \
 tkrzw-python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|lzma))) debian uupdate
